Bug 543435

Summary: Regression: virtio-win drivers work on RHEL5 but not F12
Product: [Fedora] Fedora Reporter: Matthew Booth <mbooth>
Component: qemuAssignee: Justin M. Forbes <jforbes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: berrange, bloch, drussell, dwmw2, gcosta, itamar, jaswinder, jforbes, kenni, kreucher, markmc, quintela, rjones, tburke, virt-maint, vrozenfe, yvugenfi
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 581917 (view as bug list) Environment:
Last Closed: 2010-12-03 21:22:56 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 581917    
Attachments:
Description Flags
virtual floppy image with viostor drivers built from svn sources none

Description Matthew Booth 2009-12-02 06:44:33 EST
Description of problem:
A Windows2008 R2 guest running on RHEL 5 can be installed on a VirtIO disk. The exact same installation on F12 will fail to find the storage.

It is possible under F12 to install the Windows VirtIO drivers after installation and add a secondary VirtIO disk. However, the system cannot be installed on VirtIO, and the system disk cannot be subsequently converted to VirtIO.

Install a Windows 2008 R2 guest using VirtIO for storage. Boot with the installation CD and the driver floppy. Here's the virt-install command line I used:

# virt-install -c qemu:///system -n win2k8r2 -r 1024 --vcpus 1 --os-type=windows --os-variant=win2k8 --accelerate --hvm -c /var/lib/libvirt/images/en_windows_server_2008_r2_standard_enterprise_datacenter_web_retail_build_x64_dvd_x15-50365.iso --disk path=/var/lib/libvirt/images/win2k8r2.img,device=disk,bus=virtio --network=network:default --vnc --disk path=/var/lib/libvirt/images/virtio-drivers-1.0.0.vfd,device=floppy,perms=ro

Answer installation questions until it gets to storage. It will report that it did not find any disks. Click 'Load Driver' and then 'OK' to let it search for drivers. It will find the win2k3 and win2k8 drivers on the floppy. Select the win2k8 driver (A:\amd64\Win2008\viostor.inf) and click 'Next'. It will rescan for disks.

At this point, under RHEL 5 the installation disk will be discovered and installation can proceed. Under F12 it will not.

Version-Release number of selected component (if applicable):
qemu-system-x86-0.11.0-11.fc12.x86_64 (F12)
kvm-83-105.el5_4.9 (RHEL 5)
virtio-win-1.0.0-7.39539.el5.noarch.rpm (In guest on F12 and RHEL 5)

How reproducible:
Always
Comment 2 Matthew Booth 2009-12-22 11:06:03 EST
This request was a bit odd for a couple of reasons:

1. Although the VirtIO drivers can be loaded on an F12-hosted disk and allow a secondary drive to work, the system drive will still not work.

2. The drivers are successfully detected and loaded from the floppy disk during installation. Unless you suspect some kind of read error, I'm not sure what putting them on the installation CD is supposed to change.

However, I tried it anyway. I tried 2 different things:

1. Add the expanded contents of the VirtIO driver disk image to a subdirectory of the (otherwise vanilla) installation image.

2. Load the virtio driver into boot.wim of the installation image.

Neither of these things worked.
Comment 3 Matthew Booth 2009-12-23 12:04:23 EST
Bearing in mind that if you install VirtIO after installation you can use it for a secondary disk, but not the system disk, I just tried 2 more tests:

1. Install on a guest with 2 virtio disks.

2. Install on a guest with 1 IDE and 1 virtio disk.

In the first instance, neither VirtIO disk is detected. In the second instance only the IDE disk is detected.
Comment 4 Yan Vugenfirer 2009-12-24 08:40:44 EST
When you say only IDE was detected , what do you mean?

What you see in device manager (devmgmt.msc)? Do you see a device in device manager without a device or you don't see any uninstalled devices?
Comment 5 Matthew Booth 2010-01-03 11:50:44 EST
I mean that of the two disks which were presented to the installer, only the IDE disk was detected.

This is pretty easy to reproduce, you know. It would probably save quite a lot of round trip time.
Comment 6 Vadim Rozenfeld 2010-01-03 12:01:53 EST
Matthew, 

Sorry for a dump question, but could you please check if it works with scsi?

TIA,
Vadim
Comment 7 Vadim Rozenfeld 2010-01-10 10:14:24 EST
I have tried to reproduce the problem on my fresh F12 system.

[vadimr@localhost ~]$ uname -r
2.6.31.5-127.fc12.x86_64

(qemu) info version
0.11.0 (qemu-kvm-0.11.0)

drivers:
built by myself from: 
svn://cleopatra.tlv.redhat.com/svn/dtv/branches/4.5_integration/tools/drivers/viostor

qemu command line:
qemu-kvm -m 512 -smp 1 -net nic,vlan=0,macaddr=00:1a:4a:01:00:bf,model=rtl8139 -net user -monitor stdio -drive file=/home/vadimr/vms/images/w2k3.qcow2,if=virtio,boot=on -fda /home/vadimr/vms/viostor_tst.vfd -drive file=/home/vadimr/vms/iso/Windows2003_r2_VLK.iso,media=cdrom -boot dc -serial file:/tmp/serial.log

Believe me or not, but viostor works like a charm.
Comment 8 Yan Vugenfirer 2010-01-10 10:23:12 EST
Vadim,

Can you test it with Win2008R2 as a guest (the original bug is about Win2008R2)? Maybe there is something wrong with the installation diskette.


Thanks,
Yan.
Comment 9 Vadim Rozenfeld 2010-01-10 10:28:46 EST
Do we have W2K8R2 iso somewhere around? I have asked for VLK for R2 few weeks ago.
Comment 10 Vadim Rozenfeld 2010-01-10 10:32:12 EST
I don't know about virtual floppy image. Who built it? What is inside?
Comment 11 Yan Vugenfirer 2010-01-10 10:37:54 EST
Production floppy image:
\\bob.eng.lab.tlv.redhat.com\system\builds\sm28\isoRoot\tools\virtio-drivers-1.0.0.vfd
Comment 12 Yan Vugenfirer 2010-01-10 10:43:32 EST
This is the image built by system team (Barak)for RHEV-M. As far as I understand brew is building floppy image in the same manner for virtio-win RPM.
If something is missing from it it is our responsibility to point it out to Barak and instruct him how to fix the problems.
Comment 13 Vadim Rozenfeld 2010-01-10 11:05:08 EST
\\bob.eng.lab.tlv.redhat.com\system\builds\sm28\isoRoot\tools\virtio-drivers-1.0.0.vfd 
must be broken. 
Failed to install W2K3 on F12.
Comment 14 Vadim Rozenfeld 2010-01-10 11:33:37 EST
something wrong with the driver itself. How did they build it? From which sources?
inf looks pretty old, it still contains the registry stuff which we don't use anymore.
Comment 15 Yan Vugenfirer 2010-01-10 11:38:07 EST
Matt,

Where did you get the floppy image that you used for the installation?

Thanks,
Yan.
Comment 16 Matthew Booth 2010-01-11 08:17:43 EST
I got it from the RHEL 5 channel on RHN. Specifically, I extracted it from the virtio-win-1.0.0-7.39539.el5.noarch.rpm channel.

It's not a surprise that it looks like the driver is broken. The problem is that, if this is the case, this driver is released. We might have to investigate a fix in QEMU to ensure that the released driver continues to work after an upgrade.
Comment 17 Vadim Rozenfeld 2010-01-14 05:23:50 EST
Created attachment 383652 [details]
virtual floppy image with viostor drivers built from svn sources

Matt,
Could you please try these ones?
They are not signed, but it shouldn't be a problem on W2K3 32/64 and W2K8 32-bit OSs.
TIA,
Vadim
Comment 18 Dave Russell 2010-02-25 12:20:17 EST
Doesn't work for me, host is fully updated F12, guest is fully updated win2k3.

BSOD and instant reboot once it gets past the QEMU bios.
Comment 19 Vadim Rozenfeld 2010-02-26 02:22:46 EST
What is the bugcheck code number?
Comment 20 Vadim Rozenfeld 2010-02-26 15:22:30 EST
What is the bugcheck code number?
Comment 21 Yan Vugenfirer 2010-03-09 08:24:52 EST
According to mdbooth: It'll be a 7B, though
Comment 22 Matthew Booth 2010-03-09 08:28:05 EST
Just clearing the NEEDINFO flag.

This bug is about the virtio-win drivers which were released with RHEL 5. The problem can't be fixed with new drivers unless we tell people that Windows guests which ran on RHEL 5 will not run on RHEL 6 without modification. This is an unfortunate situation, but I don't see any resolution which doesn't involve modifying qemu.
Comment 23 Fedora Admin XMLRPC Client 2010-03-09 12:19:33 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 24 Richard W.M. Jones 2010-04-13 09:56:45 EDT
(In reply to comment #17)
> Created an attachment (id=383652) [details]
> virtual floppy image with viostor drivers built from svn sources
> 
> Matt,
> Could you please try these ones?
> They are not signed, but it shouldn't be a problem on W2K3 32/64 and W2K8
> 32-bit OSs.
> TIA,
> Vadim    

This driver gives me a 7B error too.

Folks, this is a regression.  qemu should be fixed so it works
with the old RHEL 5 viostor.sys driver as we shipped and promised
to support in RHEL 5, not some other driver.
Comment 25 Dor Laor 2010-04-14 02:38:50 EDT
Justin does it works for you? One of our customers had such an issue and it turned out to be a bios misplacement issue.
Comment 26 David Woodhouse 2010-08-16 09:52:48 EDT
I have similar problems in F-13 with the virtio-win-1.0.0-8.41879.el6 drivers.

The virtio network driver works fine, but viostor fails -- Windows reports:
 that it failed to start (Error Code 10).
Comment 27 David Woodhouse 2010-08-16 09:53:27 EDT
I have similar problems in F-13 with the virtio-win-1.0.0-8.41879.el6 drivers.

The virtio network driver works fine, but viostor fails -- Windows reports:
    This device cannot start. (Code 10)
Comment 28 David Woodhouse 2010-08-16 09:54:11 EDT
Gr, distracted by being too stupid to drive bugzilla; forgot to specify this is Windows 7 64-bit.
Comment 29 Vadim Rozenfeld 2010-08-16 10:00:07 EDT
(In reply to comment #28)
> Gr, distracted by being too stupid to drive bugzilla; forgot to specify this is
> Windows 7 64-bit.

could you please try the latest drivers from
http://download.lab.bos.redhat.com/devel/RHEV/virtio-win/1.1.11-0/

Thanks,
Vadim
Comment 30 David Woodhouse 2010-08-16 10:47:01 EDT
Are those WHQL-signed? Last time I enabled testsigning on a VM, it immediately fell out of its trust relationship with our corporate domain and I had to reinstall it. It *may* have been a coincidence, but I'm kind of reluctant to find out...

I tried to update the drivers and pointed it at the contents of the 1.1.11-0.vfd floppy image -- but it didn't find anything there that it liked; just told me that my installed version was up to date. If they are signed, how would I go about installing them?


I tried installing the latest RHEL5 drivers instead, having noticed that they are newer than the RHEL6 ones (45801 > 41879). I got a blue screen when the installation completed. Now it just appears as an 'Unknown Device'.
Comment 31 David Woodhouse 2010-08-16 10:51:36 EDT
And now it just keeps saying 'The wizard was interrupted before RHEV-Block64 could be completely installed. Your system has not been modified. To complete installation at another time, please run setup again.'.

It does this repeatedly, even when I run it again.
Comment 32 David Woodhouse 2010-08-16 11:25:14 EDT
Aha, now that it's uninstalled and the device is driverless, it *does* let me install the version from the 1.0.11-0.vfd image. Which works fine -- I've now been able to switch my primary disk to VirtIO. Thanks.

Kind of scared to update my kvmnet driver to match, but I suppose I should...
Comment 33 Vadim Rozenfeld 2010-08-16 12:09:11 EDT
(In reply to comment #32)
> Aha, now that it's uninstalled and the device is driverless, it *does* let me
> install the version from the 1.0.11-0.vfd image. Which works fine -- I've now
> been able to switch my primary disk to VirtIO. Thanks.
> 
> Kind of scared to update my kvmnet driver to match, but I suppose I should...
I think you should update kvmnet as well.


Answering your question https://bugzilla.redhat.com/show_bug.cgi?id=543435#c30
the drivers are signed with RH signature, they are not WHQL-signed yet, but
it looks like we don't have any significant WHQL-related problem related to virtio-block driver so far.
Comment 34 David Woodhouse 2010-08-16 17:40:35 EDT
The Red Hat signature seems to be sufficient. My only question (In reply to comment #33)
> I think you should update kvmnet as well.

I was brave. It worked :)

> Answering your question https://bugzilla.redhat.com/show_bug.cgi?id=543435#c30
> the drivers are signed with RH signature, they are not WHQL-signed yet, but
> it looks like we don't have any significant WHQL-related problem related to
> virtio-block driver so far.

Either way, the signature seems to be sufficient for my corporate Win7 install. Thanks.
Comment 35 Bug Zapper 2010-11-04 00:37:14 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 36 Bug Zapper 2010-12-03 21:22:56 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.